package eu.svjatoslav.instantlauncher;

import eu.svjatoslav.commons.gui.dialog.ExceptionDialog;

import javax.swing.*;
import java.awt.*;
import java.io.File;
import java.io.IOException;

import static eu.svjatoslav.commons.file.FilePathParser.getFileExtension;

public class Utils {

    public static void setComponentSize(JComponent component, Dimension size) {
        component.setMinimumSize(size);
        component.setMaximumSize(size);
        component.setSize(size);
        component.setPreferredSize(size);
    }

    private static final String FILE_INDICATOR = "{file}";

    public static void runOpeningApplication(final File file, final String[] commands) {
        for (int i = 0; i < commands.length; i++)
            if (commands[i].equals(FILE_INDICATOR))
                commands[i] = file.getAbsolutePath();

        try {
            Runtime.getRuntime().exec(commands);
            InstantLauncher.exitProgram();

        } catch (final IOException e) {
            new ExceptionDialog(e);
        }
    }

}
