package eu.svjatoslav.instantlauncher.configuration;

import java.io.File;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class FileAssociation implements Comparable<FileAssociation> {
    public String fileRegex;
    public String command;

    public FileAssociation() {
    }

    public FileAssociation(String fileRegex, String command) {
        this.fileRegex = fileRegex;
        this.command = command;
    }

    @Override
    public int compareTo(FileAssociation o) {
        return fileRegex.compareTo(o.fileRegex);
    }

    public boolean matchesFile(File file) {
        String absolutePath = file.getAbsolutePath();

        Pattern pattern = Pattern.compile(fileRegex);
        Matcher matcher = pattern.matcher(absolutePath);
        return matcher.matches();
    }

    public String[] getCommands() {
        return command.split("\\s+");
    }
}
